Ask Your Question

Revision history [back]

click to hide/show revision 1
initial version

stack.sh script failed to run with quantum

I took the latest version of the devstack and created the localrc file as shown below:

HOST_IP=192.168.2.210 FLAT_INTERFACE=eth0 FIXED_RANGE=10.0.0.0/24 FIXED_NETWORK_SIZE=256 FLOATING_RANGE=10.0.1.128/28 MULTI_HOST=${MULTI_HOST:-True} MYSQL_PASSWORD=secret RABBIT_PASSWORD=secret SERVICE_TOKEN=secret SERVICE_PASSWORD=secret ADMIN_PASSWORD=secret LOGFILE=stack.sh.log ENABLED_SERVICES="$ENABLED_SERVICES,quantum,q-svc,q-agt" SWIFT_HASH=secret

When I run the stack.sh script, I am getting the following error.

  • cd /opt/stack/quantum
  • sudo python setup.py develop running develop Checking .pth file support in /usr/local/lib/python2.7/dist-packages/ /usr/bin/python -E -c pass TEST PASSED: /usr/local/lib/python2.7/dist-packages/ appears to support .pth files running egg_info creating quantum.egg-info writing requirements to quantum.egg-info/requires.txt writing quantum.egg-info/PKG-INFO writing eager_resources to quantum.egg-info/eager_resources.txt writing top-level names to quantum.egg-info/top_level.txt writing dependency_links to quantum.egg-info/dependency_links.txt writing entry points to quantum.egg-info/entry_points.txt writing manifest file 'quantum.egg-info/SOURCES.txt' reading manifest file 'quantum.egg-info/SOURCES.txt' reading manifest template 'MANIFEST.in' writing manifest file 'quantum.egg-info/SOURCES.txt' running build_ext Creating /usr/local/lib/python2.7/dist-packages/quantum.egg-link (link to .) quantum 2012.2 is already the active version in easy-install.pth Installing quantum-linuxbridge-agent script to /usr/local/bin Installing quantum-openvswitch-agent script to /usr/local/bin Installing quantum-ryu-agent script to /usr/local/bin Installing quantum-server script to /usr/local/bin

Installed /opt/stack/quantum Processing dependencies for quantum==2012.2 Searching for python-quantumclient Best match: python-quantumclient [unknown version] Downloading git+https://review.openstack.org/p/openstack/python-quantumclient#egg=python-quantumclient error: Download error for git+https://review.openstack.org/p/openstack/python-quantumclient: unknown url type: git+https ++ failed ++ local r=1 ++ set +o xtrace

Is there anything wrong in my configuration? Please help me to solve this problem.